export interface ThrownAt {
    filename: string;
    line: string;
    column: string;
}
export declare function thrownAt(error?: Error): ThrownAt | undefined;
export declare function fail(message: string): void;
export declare class Assertion {
    private flags;
    private location;
    private prefix;
    private ref;
    constructor(ref: any, prefix: string | undefined, location: string);
    private assert(result, verb, actual?, expected?);
    NaN(): this;
    arguments(): this;
    array(): this;
    boolean(): this;
    buffer(): this;
    date(): this;
    function(): this;
    number(): this;
    regexp(): this;
    string(): this;
    object(): this;
    private assertType(word);
    error(...args: any[]): void;
    true(): this;
    false(): this;
    null(): this;
    undefined(): this;
    include(value: any): this;
    includes(value: any): this;
    contain(value: any): this;
    contains(value: any): this;
    endWith(value: string): this;
    endsWith(value: string): this;
    startWith(value: string): this;
    startsWith(value: string): this;
    exist(): this;
    exists(): this;
    empty(): this;
    length(size: number): this;
    equal(value: any, options?: any): this;
    equals(value: any, options?: {}): this;
    above(value: number): this;
    greaterThan(value: number): this;
    least(value: number): this;
    min(value: number): this;
    below(value: number): this;
    lessThan(value: number): this;
    most(value: number): this;
    max(value: number): this;
    within(from: number, to: number): this;
    range(from: number, to: number): this;
    between(from: number, to: number): this;
    about(value: number, delta: number): this;
    instanceof(type: any): this;
    instanceOf(type: any): this;
    match(regex: RegExp): this;
    matches(regex: RegExp): this;
    satisfy(validator: Function): this;
    satisfies(validator: Function): this;
    throw(...args: any[]): this;
    throws(...args: any[]): this;
    reject(...args: any[]): Promise<{} | null>;
    rejects(...args: any[]): Promise<{} | null>;
    readonly not: this;
    readonly once: this;
    readonly only: this;
    readonly part: this;
    readonly shallow: this;
    readonly a: this;
    readonly an: this;
    readonly and: this;
    readonly at: this;
    readonly be: this;
    readonly have: this;
    readonly in: this;
    readonly to: this;
}
export declare function expect(value: any, prefix?: string): Assertion;
export declare function count(): number;
declare const _default: {
    expect: (value: any, prefix?: string | undefined) => Assertion;
    thrownAt: (error?: Error) => ThrownAt | undefined;
    fail: (message: string) => void;
    count: () => number;
};
export default _default;
